//
// Created by bastian on 26.03.22.
//

#ifndef BUILD_AMICALLED_H
#define BUILD_AMICALLED_H

#include <behaviortree_cpp_v3/condition_node.h>

namespace BT {

    class AmICalled : public ConditionNode {
    public:
        AmICalled(const std::string &name, const NodeConfiguration &config);

        static PortsList providedPorts();

        NodeStatus tick() override;
    };

}
#endif //BUILD_AMICALLED_H
